% Speicher leeren
clf
clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Schriftart
set(0,'DefaultTextInterpreter','none')
set(0,'DefaultAxesTickLabelInterpreter','none') 
set(0,'DefaultLegendInterpreter','none')
set(0,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontName','Arial');
set(0,'DefaultLegendFontName','Arial');
set(0,'DefaultAxesFontSize', 12);
set(0,'DefaultTextFontSize', 12);  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Erstellung Abbildung
f=figure(1);
set(f,'Units','centimeters','Position',[0,0,16,6]); % Größe des Plots [x0,y0,Länge,Breite];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Farbgebung
%colormap gray;                                                     % Graustufen
%colormap parula;                                                   % Regenbogen
colormap lines;                                                     % Regenbogen kontrastreich
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Dateneingabe 
[num] = xlsread('Diagrammvorlage.xlsx','Kreisdiagramm','C4:C7')
y1 = num(1:1:4,1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Diagramm
p=pie(y1,'%.1f%%');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Werte
pText=findobj(p,'Type','text');
percentValues=get(pText,'String'); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Beschriftung
label={'Antwort A';'Antwort B';'Antwort C';'Antwort D'}; 
% (a) im Plot
% combinedtxt=strcat(label,percentValues);
% k=length(z)
% for i=1:1:k
% pText(i).String=combinedtxt(i);
% end
% (b) in Legende
leg = legend(label); 
set(leg, 'position', [0.85 0.5 0 0], 'orientation', 'vertical' );  % Position der Legende [x0 in Prozent,y0 in Prozent,Länge,Breite]
legend boxoff                                                     % Umrandung an/aus
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Freie Textbox
ht = text(-1, -1.3, 0,'200 Teilnehmer (single choice)');
set(ht,'Rotation',0,'FontSize',9)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Speichern
saveas(gcf,'Kreisdiagramm1.png')
%saveas(gcf,'Kreisdiagramm1.emf')
%saveas(gcf,'Kreisdiagramm1.pdf')