% Speicher leeren
clear
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Schriftart
set(0,'DefaultTextInterpreter','none')
set(0,'DefaultAxesTickLabelInterpreter','none') 
set(0,'DefaultLegendInterpreter','none')
set(0,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontName','Arial');
set(0,'DefaultLegendFontName','Arial');
set(0,'DefaultAxesFontSize', 12);
set(0,'DefaultTextFontSize', 12);  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Erstellung Abbildung
f=figure(1);
set(f,'Units','centimeters','Position',[0,0,16,8]); % Größe des Plots [x0,y0,Länge,Breite];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Automatische Dateneingabe
[num] = xlsread('Diagrammvorlage.xlsx','Kurvendiagramm','B4:K104');
x = num(1:4:104,1);
% %
y1 = num(1:4:104,2);
y2 = num(1:4:104,3);
y3 = num(1:4:104,4);
%
y4 = num(1:4:104,5);
y5 = num(1:4:104,6);
y6 = num(1:4:104,7);
%
y7 = num(1:4:104,8);
y8 = num(1:4:104,9);
y9 = num(1:4:104,10);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Manuelle Dateneingabe 
% x = (1:4:100);
% %
% y1 = sin(0.1*x);
% y2 = sin(0.12*x);
% y3 = sin(0.13*x);
% %
% y4 = sin(0.2*x)+4;
% y5 = sin(0.22*x)+4;
% y6 = sin(0.24*x)+4;
% %
% y7 = sin(0.2*x)+8;
% y8 = sin(0.21*x)+8;
% y9 = sin(0.22*x)+8;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Diagramm
plot(x,y1,'-o','Color',[0 0 0],'MarkerSize',6); hold on;
plot(x,y2,'-o','Color',[0.33 0.33 0.33],'MarkerSize',6); hold on;
plot(x,y3,'-o','Color',[0.69 0.69 0.69],'MarkerSize',6); hold on;
%
plot(x,y4,'-^','Color',[0 0 0],'MarkerSize',6); hold on;
plot(x,y5,'-^','Color',[0.33 0.33 0.33],'MarkerSize',6); hold on;
plot(x,y6,'-^','Color',[0.69 0.69 0.69],'MarkerSize',6); hold on;
%
plot(x,y7,'-*','Color',[0 0 0],'MarkerSize',6); hold on;
plot(x,y8,'-*','Color',[0.33 0.33 0.33],'MarkerSize',6); hold on;
plot(x,y9,'-*','Color',[0.69 0.69 0.69],'MarkerSize',6); hold off;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hintergrundteilung an/aus
set(gca, 'YGrid', 'on', 'XGrid', 'on')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Achsen-Bezeichnung 
ax=gca
xlabel('Zeit [s]')
ylabel('Weg [mm]')
box on 
% ax.TickDir = 'out'
% ax.XMinorTick = 'on'
% ax.YMinorTick = 'on'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Legende
label={'Reihe A1';'Reihe A2';'Reihe A3';'Reihe B1';'Reihe B2';'Reihe B3';'Reihe C1';'Reihe C2';'Reihe C3'}; 
leg = legend(label); 
set(leg, 'location', 'northeastoutside', 'orientation', 'vertical' );  
legend boxoff             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Speichern
saveas(gcf,'Kurvendiagramm1.png')
%saveas(gcf,'Kurvendiagramm1.emf')
% saveas(gcf,'Kurvendiagramm1.pdf')